﻿@model ARGNSMDPackaging

@{
    string mTrId = "TR_Packaging" + Model.LineId;
    string mP_HangTag = "P_HangTag" + Model.LineId;
    string mP_Polybag = "P_Polybag" + Model.LineId;
    string mP_Others = "P_Others" + Model.LineId;
    string mP_OP2 = "P_OP2" + Model.LineId;
    string mIsNew = "Packaging_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mP_HangTag' class="form-control" value='@Model.U_Hangtag' onchange="LineWasChanged('@Model.LineId','Packaging');" /></td>
        <td><input id='@mP_Polybag' class="form-control" value='@Model.U_Polybag' onchange="LineWasChanged('@Model.LineId','Packaging');" /></td>
        <td><input id='@mP_Others' class="form-control" value='@Model.U_Others' onchange="LineWasChanged('@Model.LineId','Packaging');" /></td>
        <td><input id='@mP_OP2' class="form-control" value='@Model.U_OutPack' onchange="LineWasChanged('@Model.LineId','Packaging');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                    DictRow.ListUFD1,
                                    "FldValue",
                                    "Descr", DictRow.Value), new { @Id = "LINEUDF_Packaging_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_Packaging_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','Packaging');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Packaging_@DictRow.UDFName@Model.LineId' name="LINEUDF_Packaging_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','Packaging');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}